﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    ViewData["Title"] = "Productos";
    Layout = "~/Views/Shared/_HomeLayout.cshtml";
}
@section Styles{

    <style>
        

        .ribbon-wrapper {
            height: 70px;
            overflow: hidden;
            position: absolute;
            right: -2px;
            top: -2px;
            width: 70px;
            z-index: 10;
        }

            .ribbon-wrapper.ribbon-lg {
                height: 120px;
                width: 120px;
            }

                .ribbon-wrapper.ribbon-lg .ribbon {
                    right: 0;
                    top: 26px;
                    width: 160px;
                }

            .ribbon-wrapper.ribbon-xl {
                height: 180px;
                width: 180px;
            }

                .ribbon-wrapper.ribbon-xl .ribbon {
                    right: 4px;
                    top: 47px;
                    width: 240px;
                }

            .ribbon-wrapper .ribbon {
                box-shadow: 0 0 3px rgba(0,0,0,.3);
                font-size: .8rem;
                line-height: 100%;
                padding: .375rem 0;
                position: relative;
                right: -2px;
                text-align: center;
                text-shadow: 0 -1px 0 rgba(0,0,0,.4);
                text-transform: uppercase;
                top: 10px;
                -webkit-transform: rotate(45deg);
                transform: rotate(45deg);
                width: 90px;
                color: white;
            }

                .ribbon-wrapper .ribbon::after, .ribbon-wrapper .ribbon::before {
                    border-left: 3px solid transparent;
                    border-right: 3px solid transparent;
                    border-top: 3px solid #9e9e9e;
                    bottom: -3px;
                    content: '';
                    position: absolute;
                }

                .ribbon-wrapper .ribbon::before {
                    left: 0;
                }

                .ribbon-wrapper .ribbon::after {
                    right: 0;
                }
    </style>
}
<div class="k-portlet">
    <div class="k-portlet__head">
        <div class="k-portlet__head-label">
            <h4 class="kt-portlet__head-title" style="color: rgba(255,0,0,0.5);">Productos &#128293;</h4>
        </div>

    </div>
    <div class="k-portlet__body">
        <div class="k-blog-post">

            <div class="row">
                <div class="col-md-4">
                    <label>Buscar por categoria</label>
                    <select id="idCategorias" asp-items="@ViewBag.Categorias" class="form-control k_selectpicker" required>
                        <option value="" selected>Selecciona una categoria</option>
                    </select>
                </div>
            </div>

            @*<div class="k-blog-post__hero-image">
                    <img src="../assets/media/blog/1200x600/2.jpg" class="k-blog-post__image">
                </div>*@
           
                <div id="VistaPar" >

                    @*@{
                            Html.RenderPartial("_ProductosCategorias");
                        }*@

                </div>
                @*<div class="col-md-6">
                        <div class="row">
                            <div class="col-md-12 k-align-center">
                                <div class="k-blog-post__content ">
                                    <h4 class="k-align-center">Cuentanos un poco más...</h4>
                                    <div class="k-section">
                                        <label style="font-size:15px; color:#9b9898"><i class="flaticon-email "></i> Correo:<strong>  lordprettyflames@gmail.com</strong></label>

                                    </div>

                                </div>
                                <div>
                                    <img style="width:50%; height:40%" src="~/assets/media/icons/PFNUEVOLOGO.png" />
                                </div>

                            </div>


                        </div>

                    </div>*@

           


        </div>
    </div>
</div>

<link href="~/assets/vendors/general/bootstrap-select/dist/css/bootstrap-select.css" rel="stylesheet" type="text/css" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.2/css/select2.min.css" rel="stylesheet" type="text/css" />
<script>

    var id = $('#idCategorias').val();
    if (id == "") {
        $("#VistaPar").load("/Inicio/_ProductosCategorias?id=" + id);

    }
    $('#idCategorias').change(function () {
        var id = $(this).val()
        //console.log('Has seleccionado ' + municipio);
        $("#VistaPar").load("/Inicio/_ProductosCategorias?id=" + id);
    });

</script>